Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts2.config
Class PropertiesConfigurationProvider

    java.lang.Object
      org.apache.struts2.config.PropertiesConfigurationProvider

All Implemented Interfaces:
  ConfigurationProvider, ContainerProvider, PackageProvider

Direct Known Subclasses:
  DefaultPropertiesProvider

    public class PropertiesConfigurationProvider

extends Object
implements ConfigurationProvider

Constructor Summary
`PropertiesConfigurationProvider()`

Method Summary
`void` | `destroy()`
`void` | `init(Configuration configuration)`
`void` | `loadPackages()`
`protected void` | `loadSettings(LocatableProperties props, org.apache.struts2.config.Settings settings)`
`boolean` | `needsReload()`
`void` | `register(ContainerBuilder builder, LocatableProperties props)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PropertiesConfigurationProvider

    public PropertiesConfigurationProvider()

Method Detail

### destroy

    public void destroy()

  Specified by:
    `destroy` in interface `ContainerProvider`

### init

    public void init(Configuration configuration)
              throws ConfigurationException

  Specified by:
    `init` in interface `ContainerProvider`
  Specified by:
    `init` in interface `PackageProvider`
  Throws:
    `ConfigurationException`

### loadPackages

    public void loadPackages()
                      throws ConfigurationException

  Specified by:
    `loadPackages` in interface `PackageProvider`
  Throws:
    `ConfigurationException`

### needsReload

    public boolean needsReload()

  Specified by:
    `needsReload` in interface `ContainerProvider`
  Specified by:
    `needsReload` in interface `PackageProvider`

### register

    public void register(ContainerBuilder builder,
                         LocatableProperties props)
                  throws ConfigurationException

  Specified by:
    `register` in interface `ContainerProvider`
  Throws:
    `ConfigurationException`

### loadSettings

    protected void loadSettings(LocatableProperties props,
                                org.apache.struts2.config.Settings settings)

  Parameters:
    `props` -
    `settings` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000–2018 Apache Software Foundation. All rights reserved.